using System.ComponentModel;
using System.Drawing;

namespace AGVNavigationCore.Models
{
    public class MapLabel : NodeBase
    {
        [Category("라벨 설정")]
        [Description("표시할 텍스트입니다.")]
        public string Text { get; set; } = "";

        [Category("라벨 설정")]
        [Description("글자색입니다")]
        public Color ForeColor { get; set; } = Color.Black;

        [Category("라벨 설정")]
        [Description("배경색입니다.")]
        public Color BackColor { get; set; } = Color.Transparent;

        [Category("라벨 설정")]
        [Description("폰트 종류입니다.")]
        public string FontFamily { get; set; } = "Arial";

        [Category("라벨 설정")]
        [Description("폰트 크기입니다.")]
        public float FontSize { get; set; } = 12.0f;

        [Category("라벨 설정")]
        [Description("폰트 스타일입니다.")]
        public FontStyle FontStyle { get; set; } = FontStyle.Regular;

        [Category("라벨 설정")]
        [Description("내부 여백입니다.")]
        public int Padding { get; set; } = 5;

        public MapLabel()
        {
            ForeColor = Color.Purple;
            Type = NodeType.Label;
        }
    }
}
